Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.model.filterencoding
Class AbstractFilter

    java.lang.Object
      org.deegree.model.filterencoding.AbstractFilter

All Implemented Interfaces:
  Filter

Direct Known Subclasses:
  ComplexFilter, FeatureFilter

    public abstract class AbstractFilter

extends Object
implements Filter

Abstract superclass representing `Filter` elements (as defined in the Filter DTD). A `Filter` element either consists of (one or more) FeatureId-elements or one operation-element. This is reflected in the two implementations FeatureFilter and ComplexFilter.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Markus Schneider, last edited by: $Author: mschneider $

Constructor Summary
`AbstractFilter()`

Method Summary
`static Filter` | `buildFromDOM(Element element)` Deprecated. use the 1.0.0 filter encoding aware method instead.
`static Filter` | `buildFromDOM(Element element, boolean useVersion_1_0_0)` Given a DOM-fragment, a corresponding Filter-object is built.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.deegree.model.filterencoding.Filter
`evaluate, to100XML, to110XML, toXML`

Constructor Detail

### AbstractFilter

    public AbstractFilter()

Method Detail

### buildFromDOM

    @Deprecated
    public static Filter buildFromDOM(Element element)
                               throws FilterConstructionException

  Deprecated. use the 1.0.0 filter encoding aware method instead.

  Given a DOM-fragment, a corresponding Filter-object is built. This method recursively calls other buildFromDOM () - methods to validate the structure of the DOM-fragment.

  Parameters:
    `element` -
  Returns:
    corresponding Filter-object
  Throws:
    `FilterConstructionException` - if the structure of the DOM-fragment is invalid

### buildFromDOM

    public static Filter buildFromDOM(Element element,
                                      boolean useVersion_1_0_0)
                               throws FilterConstructionException

  Given a DOM-fragment, a corresponding Filter-object is built. This method recursively calls other buildFromDOM () - methods to validate the structure of the DOM-fragment.

  Parameters:
    `element` -
    `useVersion_1_0_0` - if the filter encoding 1_0_0 should be used.
  Returns:
    corresponding Filter-object
  Throws:
    `FilterConstructionException` - if the structure of the DOM-fragment is invalid

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org